Project

General

Profile

Upgrade to 16.04

Added by Raivo Kask almost 6 years ago

I have tvheadend 4.1.18 running on a Ubuntu 15.10 server
I tried to upgrade server Ubuntu 15.10 to 16.04 LTS with 'sudo do-release-upgrade' but it failed and I suspect that tvheadend is the culprit:

No candidate ver: libapt-inst1.5
No candidate ver: libapt-pkg4.12
No candidate ver: libboost-iostreams1.55.0
No candidate ver: libcwidget3
No candidate ver: libhogweed2
No candidate ver: libicu52
No candidate ver: libllvm3.6
No candidate ver: libnettle4
No candidate ver: libsigc++-2.0-0c2a
No candidate ver: libxapian22


Replies (4)

RE: Upgrade to 16.04 - Added by Mark Clarkstone almost 6 years ago

A quick fix would be to remove Tvheadend and reinstall after the upgrade, as long as you don't --purge during removal your configuration should remain intact but backup anyway.

4.1.18 is old btw!

RE: Upgrade to 16.04 - Added by Raivo Kask almost 6 years ago

I removed both tvheadend & oscam and deleted their entries in /etc/apt/source.list & /etc/apt/source.list.d but still get the annoying error:

Calculating the changes
No candidate ver: libapt-inst1.5
No candidate ver: libapt-pkg4.12
No candidate ver: libboost-iostreams1.55.0
No candidate ver: libcwidget3
No candidate ver: libhogweed2
No candidate ver: libicu52
No candidate ver: libllvm3.6
No candidate ver: libnettle4
No candidate ver: libsigc++-2.0-0c2a
No candidate ver: libxapian22
No candidate ver: oscam-svn
No candidate ver: tvheadend

What is wrong ?

RE: Upgrade to 16.04 - Added by Renato Riolino almost 6 years ago

Looks like tvheadend and oscam are still in your system. Check with dpkg if they are really gone:

dpkg -l | grep "tvheadend"
dpkg -l | grep "oscam-svn"

RE: Upgrade to 16.04 - Added by Raivo Kask almost 6 years ago

[email protected]:~$ dpkg -l | grep "tvheadend"
[email protected]:~$ dpkg -l | grep "oscam-svn"
[email protected]:~$

    (1-4/4)